Bug 193047 - Enhancement - allow dhclient to specify a METRIC for gateways
Enhancement - allow dhclient to specify a METRIC for gateways
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-24 15:36 EDT by Valdis Kletnieks
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 11:57:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to support per-interface METRIC= for dhcp. (519 bytes, patch)
2006-05-24 15:36 EDT, Valdis Kletnieks
no flags Details | Diff

  None (edit)
Description Valdis Kletnieks 2006-05-24 15:36:36 EDT
Description of problem:
Sometimes, a system administrator knows positively that a given interface has a
better or worse preference as a default route.  For instance, my laptop has a
wireless card, and 2 onboard ethernet, and a docking station ethernet.  Thus,
the desired effect is that we want any hard-wired interface to get a default
route, and a wireless to get a default route - at a higher metric.  That way, if
the wireless is the only connection, it will take the default, but if a wired
interface comes up as well, that will take the load.

The attached patch allows the sysadmin to add a 'METRIC=n' to the interface's
/etc/sysconfig/network-scripts/ifcfg-foo file, to manually configure the
preference for the interface.

This functionality is already supported by 'ifup' for non-DHCP interfaces.

Version-Release number of selected component (if applicable):
dhclient-3.0.4-8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valdis Kletnieks 2006-05-24 15:36:36 EDT
Created attachment 129961 [details]
Patch to support per-interface METRIC= for dhcp.
Comment 2 Jason Vas Dias 2006-05-26 20:08:30 EDT
Thanks - patch applied in dhcp-3.0.4-10, in FC-6 / rawhide-2006-05-27 .

Note You need to log in before you can comment on or make changes to this bug.